> ## Documentation Index
> Fetch the complete documentation index at: https://developers.paxoslabs.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch historic APY data for a vault

> Returns APY data for a given vault address over a specified period.



## OpenAPI

````yaml /v0.1.0/api-reference/openapi.yml get /v1/vaults/historical-apy
openapi: 3.0.0
info:
  title: Paxos Labs API
  version: 1.0.0
  description: API for managing and querying vault data for Paxos Labs.
servers:
  - url: https://api.paxoslabs.com
security: []
tags: []
paths:
  /v1/vaults/historical-apy:
    get:
      tags:
        - Vaults
      summary: Fetch historic APY data for a vault
      description: Returns APY data for a given vault address over a specified period.
      parameters:
        - name: vault_address
          in: query
          required: true
          description: The address of the vault.
          schema:
            type: string
            example: '0x19e099B7aEd41FA52718D780dDA74678113C0b32'
        - name: start_timestamp
          in: query
          required: false
          description: Start timestamp for the period.
          schema:
            type: integer
            example: 1732679943
        - name: end_timestamp
          in: query
          required: false
          description: End timestamp for the period.
          schema:
            type: integer
            example: 173868000
        - name: intervals
          in: query
          required: false
          description: Intervals for the period.
          schema:
            type: integer
            example: 86400
        - name: lookback_days
          in: query
          required: false
          description: >-
            Number of days to look back for APY calculation. Defaults to 14 if
            not provided.
          schema:
            type: integer
            example: 14
      responses:
        '200':
          description: Successful response with historic APY data.
          content:
            application/json:
              schema:
                type: object
                properties:
                  interval:
                    type: integer
                    description: The interval used for the lookback period.
                    example: 86400
                  data:
                    type: array
                    description: List of APY data points for each bucketed time period.
                    items:
                      type: object
                      properties:
                        timeStamp:
                          type: number
                          description: The timestamp of the APY data point.
                        apy:
                          type: number
                          description: The APY value for the given timestamp.
                          example: 1.23

````